#!/bin/bash

adapter=wlan0

# Check for root privileges
if [ "$(id -u)" != "0" ]
then
    >&2 echo "Quitting, this script has to be run as root!"
    exit 1
fi

# Activate Monitor mode
trackerjacker --monitor-mode-on -i $adapter

# Run scan
timeout 60 trackerjacker -i $adapter --map

# Deactivate Monitor mode
trackerjacker --monitor-mode-off -i $adapter

sleep 15

# Filter & upload results
python upload.py

# Remove old scan results
rm wifi_map.yaml